Migration Notes

Add node-rollup-plugin-babel (>= 5.2~) in debian/control

And patch rollup.config.js (or similar configuration file under build or script etc) - ES module syntax

--- a/rollup.config.js
+++ b/rollup.config.js
@@ -1,32 +1,23 @@
-import babel from 'rollup-plugin-babel';
+import babel from '@rollup/plugin-babel';

and Commonjs syntax

--- a/rollup.config.js
+++ b/rollup.config.js
@@ -1,5 +1,5 @@
-const babel = require('rollup-plugin-babel');
+const babel = require('@rollup/plugin-babel').default;

Make the following change if applicable,

-  runtimeHelpers: true,
+  babelHelpers: 'runtime',

In Progress

Done